IncompatibleVersionException (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.cache

## Class IncompatibleVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.VersionException
        - - org.apache.geode.cache.IncompatibleVersionException

- All Implemented Interfaces:
    Serializable

      public class IncompatibleVersionException
      extends VersionException

  An `IncompatibleVersionException` that the client version was not compatible with the server version.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncompatibleVersionException(Object clientVersion, Object serverVersion)` Constructs a new `IncompatibleVersionException`.
    `IncompatibleVersionException(String message)` Constructs a new `IncompatibleVersionException`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompatibleVersionException

          public IncompatibleVersionException(Object clientVersion,
                                              Object serverVersion)

      Constructs a new `IncompatibleVersionException`.
      Parameters:
        `clientVersion` - The client `Version`
        `serverVersion` - The server `Version`

    - #### IncompatibleVersionException

          public IncompatibleVersionException(String message)

      Constructs a new `IncompatibleVersionException`.
      Parameters:
        `message` - The exception message